import { LifeCycleEvent } from "../../Common/LifeCycle";
import { MetaDecoratorList } from "./MetaList";
export type StoreMetaAction = {
    n?: string;
    p?: StoreMetaActionParam[];
    d?: {
        [key: string]: StoreMetaActionDecorator;
    };
    h?: LifeCycleEvent | undefined;
};
export type StoreMetaActionDecoratorParam = {
    n: string;
    v: string;
};
export type StoreMetaActionDecorator = {
    n: string;
    p: StoreMetaActionDecoratorParam[];
};
export type StoreMetaActionParam = {
    n: string;
    t: string;
    dv: string;
};
export declare class StoreMetaActionData {
    private _data;
    private _decorators;
    constructor(data: StoreMetaAction);
    get name(): string;
    get lifeCycleEvent(): LifeCycleEvent;
    get decorators(): MetaDecoratorList;
    get params(): StoreMetaActionParam[];
    getParam(name: string): StoreMetaActionParam;
    getParamNames(): string[];
    getParamValues(): StoreMetaActionParam[];
}
